cifti::ByteSwapping Class Reference

`#include <ByteSwapping.h>`

## Static Public Member Functions

template<typename T>
static void | swap (T &toSwap)
template<typename T>
static void | swapArray (T *toSwap, const uint64_t &count)
static bool | isBigEndian ()

## Detailed Description

This class contains static methods for byte swapping data, typically used when reading binary data files.

The documentation for this class was generated from the following file:

- ByteSwapping.h